#!/bin/bash

# Install dependencies
sudo apt-get update
sudo apt-get install -y ninja-build gettext libtool libtool-bin autoconf automake cmake g++ pkg-config unzip

# Clone the Neovim repository
git clone https://github.com/neovim/neovim.git ~/neovim

# Navigate into the Neovim directory
cd ~/neovim

# Checkout the latest release tag
git checkout $(git describe --tags --abbrev=0)

# Build and install Neovim
make CMAKE_BUILD_TYPE=Release
sudo make install

cd -
